UnitsFormat (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.units.UnitsFormat class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.units
Class UnitsFormat

    java.lang.Object
      org.hyperic.util.units.UnitsFormat

    public class UnitsFormat

extends java.lang.Object

Constructor Summary
`UnitsFormat()`

Method Summary
`static FormattedNumber` | `format(UnitNumber val)`
`static FormattedNumber` | `format(UnitNumber val, java.util.Locale locale)`
`static FormattedNumber` | `format(UnitNumber val, java.util.Locale locale, FormatSpecifics specifics)`
`static FormattedNumber[]` | `formatSame(double[] values, int unitType, int scale)`
`static FormattedNumber[]` | `formatSame(double[] values, int unitType, int scale, java.util.Locale locale)`
`static FormattedNumber[]` | `formatSame(double[] values, int unitType, int scale, java.util.Locale locale, FormatSpecifics specifics)`
`static void` | `main(java.lang.String[] args)`
`static UnitNumber` | `parse(java.lang.String value, int unitType)`
`static UnitNumber` | `parse(java.lang.String value, int unitType, java.util.Locale locale, ParseSpecifics specifics)`
`static UnitNumber` | `parse(java.lang.String value, int unitType, ParseSpecifics specifics)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnitsFormat

    public UnitsFormat()

Method Detail

### format

    public static FormattedNumber format(UnitNumber val)

### format

    public static FormattedNumber format(UnitNumber val,
                                         java.util.Locale locale)

### format

    public static FormattedNumber format(UnitNumber val,
                                         java.util.Locale locale,
                                         FormatSpecifics specifics)

### formatSame

    public static FormattedNumber[] formatSame(double[] values,
                                               int unitType,
                                               int scale)

### formatSame

    public static FormattedNumber[] formatSame(double[] values,
                                               int unitType,
                                               int scale,
                                               java.util.Locale locale)

### formatSame

    public static FormattedNumber[] formatSame(double[] values,
                                               int unitType,
                                               int scale,
                                               java.util.Locale locale,
                                               FormatSpecifics specifics)

### parse

    public static UnitNumber parse(java.lang.String value,
                                   int unitType)
                            throws java.text.ParseException

  Throws:
    `java.text.ParseException`

### parse

    public static UnitNumber parse(java.lang.String value,
                                   int unitType,
                                   ParseSpecifics specifics)
                            throws java.text.ParseException

  Throws:
    `java.text.ParseException`

### parse

    public static UnitNumber parse(java.lang.String value,
                                   int unitType,
                                   java.util.Locale locale,
                                   ParseSpecifics specifics)
                            throws java.text.ParseException

  Throws:
    `java.text.ParseException`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.